/* =========================
 commmon
============================*/
.column__head {
  align-items: flex-end;
  display: grid;
  grid-template-columns: 58.33% auto;
  justify-content: space-between;
}

@media screen and (max-width: 767px) {
  .column__head {
    gap: 2rem;
    grid-template-columns: 1fr;
  }
}

/* =========================
 mv
============================*/
.mv {
  height: 100svh;
  min-height: 700px;
  position: relative;
}

.mv::before {
  background-image: url(../../images/top/img-mv-pc.webp);
  background-position: center top;
  background-repeat: no-repeat;
  background-size: cover;
  content: "";
  height: 100svh;
  position: absolute;
  width: 100vw;
}

.mv__text {
  left: 10vw;
  position: absolute;
  top: 43%;
  transform: translateY(-50%);
}

.mv__bottom {
  bottom: 0;
  position: absolute;
  right: 0;
  width: 100%;
}

.mv__bottom .primaryLink {
  box-shadow: 4px 4px 16px 0 rgba(0, 0, 0, 0.25);
  margin-inline: auto 2.5rem;
}

.mvNews {
  align-items: center;
  background: var(--colorWhite);
  display: flex;
  gap: 1rem;
  height: 4.5rem;
  margin-left: auto;
  margin-top: 2.5rem;
  padding-inline: 2.5rem;
  width: calc(
  100% - clamp(calc(6.25rem * 0.8), 7.8125vw, calc(6.25rem * 1.15))
  );
}

.mvNews__text a {
  text-decoration: underline;
}

.mvNews__date {
  color: var(--colorRed);
  font-family: var(--familyFigtree);
  font-size: 0.875rem;
  font-weight: 700;
}

.mvNews__text {
  -webkit-box-orient: vertical;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  overflow: hidden;
  text-overflow: ellipsis;
}

.mv .loopText {
  bottom: 0.63rem;
  position: absolute;
}

@media screen and (min-width: 1280px) {
  .mv__text img {
    width: 29.33vw;
  }
}

@media screen and (max-width: 767px) {
  .mv::before {
    background-image: url(../../images/top/img-mv-sp.webp);
    background-position: center;
    height: calc(100svh - 7.125rem);
  }

  .mv__text {
    left: unset;
    max-width: 52.3vw;
    right: 11.28vw;
    top: 29%;
  }

  .mv .loopText {
    bottom: 6rem;
  }

  .mv__bottom .primaryLink {
    bottom: -4.5rem;
    margin-inline: auto;
    position: relative;
  }

  .mvNews {
    display: grid;
    gap: 0.25rem;
    height: unset;
    padding: 3rem 2.31rem 1.5rem 1.69rem;
    width: 100%;
  }

  .mvNews__text {
    -webkit-line-clamp: 2;
  }
}

/* =========================
 purpose
============================*/
.purpose {
  position: relative;
}

.purpose .container {
  padding-block: 13.75vw 40.31vw;
}

.purpose__img1 {
  left: 0;
  position: absolute;
  top: 5.8%;
  width: 21.875vw;
  z-index: -1;
}

.purpose__img2 {
  bottom: 14.03%;
  left: 7.812vw;
  position: absolute;
  width: 35.156vw;
  z-index: -1;
}

.purpose__img3 {
  bottom: 11.4%;
  position: absolute;
  right: 0;
  width: 28.125vw;
  z-index: -1;
}

.ball-red1 {
  position: absolute;
  right: -1.25vw;
  top: 24.41%;
  z-index: -2;
}

.ball-red1-fadeIn::after {
  animation: movingBallRed1 6s ease-in-out infinite;
  aspect-ratio: 1;
  background: url(../../images/common/ball-red.png);
  background-repeat: no-repeat;
  background-size: contain;
  content: "";
  display: block;
  position: relative;
  width: 15.625vw;
  z-index: -1;
}

@keyframes movingBallRed1 {
  0% {
    translate: 0 1vw;
  }
  50% {
    translate: 0 -0.5vw;
  }
  100% {
    translate: 0 1vw;
  }
}

.ball-blue1 {
  left: -6.6vw;
  position: absolute;
  top: 20.98%;
  z-index: -2;
}

.ball-blue1::after {
  animation: movingBallBlue1 6s ease-in-out infinite;
  aspect-ratio: 1;
  background: url(../../images/common/ball-blue.png);
  background-repeat: no-repeat;
  background-size: contain;
  content: "";
  display: block;
  position: relative;
  width: 14.375vw;
}

@keyframes movingBallBlue1 {
  0% {
    translate: 0 -1vw;
  }
  50% {
    translate: 0 0.5vw;
  }
  100% {
    translate: 0 -1vw;
  }
}

.ball-red2 {
  bottom: 31.87%;
  left: 3vw;
  position: absolute;
  z-index: -2;
}

.ball-red2::after {
  animation: movingBallRed1 6s ease-in-out infinite;
  aspect-ratio: 1;
  background: url(../../images/common/ball-red.png);
  background-repeat: no-repeat;
  background-size: contain;
  content: "";
  display: block;
  position: relative;
  width: 6.25vw;
}

@keyframes movingBallRed2 {
  0% {
    translate: 0 0.8vw;
  }
  50% {
    translate: 0 -0.8vw;
  }
  100% {
    translate: 0 0.8vw;
  }
}

.ball-blue2 {
  bottom: 25.43%;
  position: absolute;
  right: 12.96vw;
  z-index: -2;
}

.ball-blue2::after {
  animation: movingBallBlue2 6s ease-in-out infinite;
  aspect-ratio: 1;
  background: url(../../images/common/ball-blue.png);
  background-repeat: no-repeat;
  background-size: contain;
  content: "";
  display: block;
  position: relative;
  width: 6.875vw;
}

@keyframes movingBallBlue2 {
  0% {
    translate: 0 -1vw;
  }
  50% {
    translate: 0 0.5vw;
  }
  100% {
    translate: 0 -1vw;
  }
}

.purpose__wrap {
  display: flex;
  justify-content: flex-end;
}

.purpose__textarea {
  margin-right: -6rem;
}

.purpose__lead {
  font-size: 2.5rem;
  font-weight: 700;
  margin-top: 2rem;
}

.is-hanging {
  margin-left: -0.5em;
}

.purpose__textWrap {
  display: grid;
  gap: 1.5rem;
  margin-block: 2rem 1.5rem;
  max-width: 28.125rem;
}

.purpose__text {
  font-size: 1rem;
  line-height: 2;
}

.purpose__imgLarge {
  margin-top: 4.62rem;
  max-width: 28.125rem;
  position: relative;
  width: 100%;
  z-index: -1;
}

.purpose__img {
  position: absolute;
}

@media screen and (min-width: 1280px) {
  .purpose .container {
    padding-block: clamp(calc(11rem * 0.8), 13.75vw, calc(11rem * 1.5))
    clamp(calc(32.25rem * 0.8), 40.3125vw, calc(32.25rem * 1.5));
    position: relative;
  }

  .purpose__img1 {
    width: clamp(calc(17.75rem * 0.8), 22.1875vw, calc(17.75rem * 1.5));
  }

  .purpose__img2 {
    width: clamp(calc(28.125rem * 0.8), 35.15vw, calc(28.125rem * 1.5));
  }

  .purpose__img3 {
    width: clamp(calc(22.5rem * 0.8), 27.5vw, calc(22.5rem * 1.5));
  }

  .ball-red1-fadeIn::after {
    width: clamp(calc(12.5rem * 0.8), 15.625vw, calc(12.5rem * 1.5));
  }

  .ball-blue1::after {
    width: clamp(calc(11.5rem * 0.8), 14.37vw, calc(11.5rem * 1.5));
  }

  .ball-red2::after {
    width: clamp(calc(5rem * 0.8), 6.25vw, calc(5rem * 1.5));
  }

  .ball-blue2::after {
    width: clamp(calc(5rem * 0.8), 6.25vw, calc(5rem * 1.5));
  }
}

@media screen and (max-width: 1100px) {
  .purpose__lead {
    font-size: 3.5vw;
  }
}

@media screen and (max-width: 900px) {
  .purpose__textWrap {
    max-width: 43vw;
  }
}

@media screen and (max-width: 767px) {
  .purpose .container {
    padding-block: 36.5vw 68.71vw;
  }

  .purpose__wrap {
    display: grid;
    justify-content: center;
  }

  .purpose__textarea {
    margin: 0;
  }

  .purpose__lead {
    font-size: var(--size28);
  }

  .purpose__textWrap {
    max-width: 35rem;
  }

  .purpose__imgLarge {
    margin-left: auto;
    margin-top: -1rem;
    max-width: 43.84vw;
  }

  .purpose__img1 {
    top: 3.8%;
    width: 35.38vw;
  }

  .purpose__img2 {
    bottom: 16.5%;
    left: 0;
  }

  .purpose__img3 {
    bottom: 10%;
    right: -0.5vw;
    width: 35.38vw;
  }

  .ball-red1 {
    right: -8.25vw;
    top: 14.8%;
  }

  .ball-red1-fadeIn::after {
    width: 24.61vw;
  }

  .ball-blue1 {
    left: -6vw;
    top: 33%;
  }

  .ball-blue1::after {
    width: 12.3vw;
  }

  .ball-red2 {
    bottom: 22%;
    left: -2vw;
  }

  .ball-red2::after {
    width: 20.51vw;
  }

  .ball-blue2 {
    bottom: 7.43%;
    right: 2vw;
  }

  .ball-blue2::after {
    width: 14.35vw;
  }
}
/* =========================
 about
============================*/
.about {
  padding-block: 9.75rem;
  position: relative;
}

.about__head {
  align-items: flex-start;
  display: grid;
  grid-template-columns: 1fr 1fr;
  /* display: flex;
  flex-wrap: wrap;
  justify-content: space-between; */
}

.about .intro {
  padding-top: 1rem;
}

.about .cardList {
  margin-top: 3rem;
}

.about .loopText {
  bottom: -2.13rem;
  position: absolute;
}

@media screen and (max-width: 1080px) {
  .about__head {
    grid-template-columns: 1fr;
  }
}

@media screen and (max-width: 767px) {
  .about {
    padding-block: var(--size96);
  }

  .about .intro {
    padding-top: 2rem;
  }

  .about__head {
    grid-template-columns: 1fr;
  }

  .about .cardList {
    gap: 1rem;
    grid-template-columns: 1fr;
  }

  .about .loopText {
    bottom: -1.25rem;
  }
}

@media screen and (min-width: 500px) {
  .about .introTitle .for-sp {
    display: none;
  }
}

/* =========================
 interview
============================*/
.interview {
  padding-block: 9.75rem;
}

.interview .intro {
  margin-top: 2rem;
}

.interviewSlide {
  margin-top: 3rem;
  overflow: visible;
}

.interviewSlide__img {
  border-radius: 1rem;
  overflow: hidden;
}

.interviewSlide__img img {
  aspect-ratio: 528 / 297;
  object-fit: cover;
  object-position: center;
  transition: 0.3s;
  width: 100%;
}

.interviewSlide__textarea {
  align-items: flex-start;
  background: var(--colorWhite);
  border-radius: 0 1rem 0 0;
  display: inline-grid;
  gap: 1.5rem;
  grid-template-columns: 1.5rem auto;
  margin-top: -2rem;
  padding-top: 2rem;
  position: relative;
  width: calc(100% - 2rem);
  z-index: 1;
}

.interviewSlide__num {
  color: var(--colorRed);
  font-weight: 700;
  transform: rotate(90deg);
  white-space: nowrap;
}

.interviewSlide__title {
  -webkit-box-orient: vertical;
  display: -webkit-box;
  font-size: 1.5rem;
  font-weight: 700;
  -webkit-line-clamp: 3;
  overflow: hidden;
  padding-right: 1.5rem;
  transition: 0.3s;
}

.interviewSlide__text {
  line-height: 1.8;
  margin-top: 1rem;
}

.interviewSlide__item .primaryLink {
  margin-top: 1rem;
}

.interviewSlide__bottom {
  align-items: center;
  display: flex;
  justify-content: space-between;
  margin-top: 3rem;
}

.interviewSlide__btn {
  display: flex;
  gap: 2.5rem;
}

.interviewSlide__prev, .interviewSlide__next {
  color: var(--colorBlack);
  font-size: 0.875rem;
  font-weight: 700;
  height: fit-content;
  line-height: 1.5;
  margin-top: 0;
  position: relative;
  width: fit-content;
}

.interviewSlide__prev::after, .interviewSlide__next::after {
  background-image: url(../../images/common/icon-link-arrow_red.svg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  content: "";
  height: 1rem;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 1rem;
}

.interviewSlide__prev {
  padding-left: 1.5rem;
}

.interviewSlide__next {
  padding-right: 1.5rem;
}

.interviewSlide__prev::after {
  left: 0;
  transform: translateY(-50%) rotate(-180deg);
}

.interviewSlide__next::after {
  right: 0;
}

.swiper-horizontal .interviewSlide__pagination {
  position: unset;
  width: fit-content;
}

.interviewSlide__pagination .swiper-pagination-bullet-active {
  background: var(--colorRed);
}

@media (hover: hover) {
  .interviewSlide__item:hover .interviewSlide__title {
    color: var(--colorRed);
  }

  .interviewSlide__item:hover .interviewSlide__img img {
    transform: scale(1.05);
  }
}

@media screen and (max-width: 767px) {
  .interview {
    padding-block: var(--size96) var(--size78);
  }

  .interviewSlide {
    margin-top: 2.5rem;
  }

  .interviewSlide__img {
    border-radius: 0.5rem;
  }

  .interviewSlide__textarea {
    border-radius: 0 0.5rem 0 0;
    gap: 0.5rem;
    grid-template-columns: 1fr;
    margin-top: -1.2rem;
    padding-top: 1.65rem;
  }

  .interviewSlide__num {
    transform: unset;
  }

  .interviewSlide__title {
    font-size: 1.25rem;
  }

  .interviewSlide__text {
    font-size: 0.875rem;
    margin-top: 0.5rem;
  }

  .interviewSlide__item .primaryLink {
    display: none;
  }

  .interviewSlide__bottom {
    justify-content: center;
    margin-block: 2rem 3rem;
  }

  .interviewSlide__btn {
    display: none;
  }
}

/* =========================
 column
============================*/
.column {
  position: relative;
}

.column .container {
  padding-block: var(--size120) var(--size156);
}

.column::before {
  background: var(--colorGray100);
  border-radius: 2.5rem 0 0 0;
  content: "";
  height: 100%;
  position: absolute;
  right: 0;
  top: 0;
  width: 85.15625vw;
  z-index: -1;
}

.ball-column {
  position: absolute;
  right: -2.5vw;
  top: -5vw;
}

.ball-column::after {
  animation: movingBallcolumn 6s ease-in-out infinite;
  aspect-ratio: 1;
  background: url(../../images/common/ball-blue.png);
  background-repeat: no-repeat;
  background-size: contain;
  content: "";
  display: block;
  position: relative;
  width: 18.75vw;
  z-index: -1;
}

@keyframes movingBallcolumn {
  0% {
    translate: 0 1vw;
  }
  50% {
    translate: 0 -0.5vw;
  }
  100% {
    translate: 0 1vw;
  }
}

.column .intro {
  margin-top: 2rem;
}

.columnList {
  display: grid;
  gap: 0 2.5rem;
  grid-template-columns: 1fr 1fr;
  margin-top: 3rem;
  padding-bottom: 2.5rem;
}

.columnList__item:nth-child(1), .columnList__item:nth-child(2) {
  border-bottom: 1px solid var(--colorGray350);
  padding-bottom: 2.5rem;
}

.columnList__item:nth-child(3), .columnList__item:nth-child(4) {
  padding-top: 2.5rem;
}

.columnList__item:nth-child(2n) {
  position: relative;
  top: 2.5rem;
}

.columnList__link {
  display: grid;
  gap: 1rem;
  grid-template-columns: 38.46% auto;
  transition: 0.3s;
}

.columnList__thumb {
  border-radius: 0.5rem;
  overflow: hidden;
}

.columnList__thumb img {
  transition: 0.3s;
}

.columnList__meta {
  align-items: center;
  display: flex;
  gap: 1rem;
}

.columnList__date {
  font-family: var(--familyFigtree);
  font-size: 0.875rem;
}

.columnList__cat {
  background: var(--colorRed);
  border-radius: 0.25rem;
  color: var(--colorWhite);
  font-size: 0.875rem;
  padding: 0.13rem 0.5rem 0.25rem;
}

.columnList__title {
  -webkit-box-orient: vertical;
  display: -webkit-box;
  font-size: 1.125rem;
  font-weight: 700;
  -webkit-line-clamp: 2;
  margin-top: 0.5rem;
  overflow: hidden;
  transition: 0.3s;
}

@media (hover: hover) {
  .columnList__link:hover .columnList__thumb img {
    transform: scale(1.05);
  }

  .columnList__link:hover .columnList__title {
    color: var(--colorRed);
  }
}

@media screen and (min-width: 1280px) {
  .column .container {
    position: relative;
  }

  .ball-column::after {
    width: clamp(calc(15rem * 0.8), 18.75vw, calc(15rem * 1.5));
  }
}

@media screen and (max-width: 767px) {
  .column .container {
    padding-block: var(--size80) var(--size96);
  }

  .column::before {
    border-radius: 1.5rem 0 0 0;
  }

  .ball-column {
    display: none;
  }

  .columnList {
    gap: 2rem 1.5rem;
    margin-top: 2.5rem;
  }

  .columnList__item:nth-child(2n) {
    top: 1.25rem;
  }

  .columnList__item:nth-child(1), .columnList__item:nth-child(2) {
    border-bottom: none;
    padding-bottom: 0;
  }

  .columnList__item:nth-child(3), .columnList__item:nth-child(4) {
    padding-top: 0;
  }

  .columnList__link {
    grid-template-columns: 1fr;
  }

  .columnList__date {
    font-size: 0.75rem;
  }

  .columnList__cat {
    font-size: var(--size12);
  }

  .columnList__title {
    font-size: var(--font16);
    -webkit-line-clamp: 4;
  }
}
